/*
 * Copyright 2006-2015, Thomas Maier-Komor
 * LICENSE: GPLv2, see file COPYING for details
 */

#ifndef LOG_H
#define LOG_H

#include <stddef.h>

typedef enum { Silent = 0, Error, Warning, Info, Debug } verbose_t;

extern void set_log(const char *);
void dbug(const char *, ...);
void info(const char *, ...);
void warn(const char *, ...);
extern void error(const char *, ...);

#endif
